JUnitOptions (Gradle API 8.14.1)
Description: declaration: package: org.gradle.api.tasks.testing.junit, class: JUnitOptions

Package org.gradle.api.tasks.testing.junit

# Class JUnitOptions

java.lang.Object
org.gradle.api.tasks.testing.TestFrameworkOptions
org.gradle.api.tasks.testing.junit.JUnitOptions

public class JUnitOptions extends TestFrameworkOptions
The JUnit specific test options.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JUnitOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copyFrom(JUnitOptions other)`
  Copies the options from the source options into the current one.
  `JUnitOptions`
  `excludeCategories(String... excludeCategories)`
  `Set<String>`
  `getExcludeCategories()`
  The set of categories to exclude.
  `Set<String>`
  `getIncludeCategories()`
  The set of categories to run.
  `JUnitOptions`
  `includeCategories(String... includeCategories)`
  `void`
  `setExcludeCategories(Set<String> excludeCategories)`
  The set of categories to exclude.
  `void`
  `setIncludeCategories(Set<String> includeCategories)`
  The set of categories to run.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JUnitOptions

    public JUnitOptions()

- ## Method Details

  - ### copyFrom

    public void copyFrom(JUnitOptions other)
    Copies the options from the source options into the current one.
    Since:
      8.0

  - ### includeCategories

    public JUnitOptions includeCategories(String... includeCategories)

  - ### excludeCategories

    public JUnitOptions excludeCategories(String... excludeCategories)

  - ### getIncludeCategories

    @Input public Set<String> getIncludeCategories()
    The set of categories to run.

  - ### setIncludeCategories

    public void setIncludeCategories(Set<String> includeCategories)
    The set of categories to run.

  - ### getExcludeCategories

    @Input public Set<String> getExcludeCategories()
    The set of categories to exclude.

  - ### setExcludeCategories

    public void setExcludeCategories(Set<String> excludeCategories)
    The set of categories to exclude.